#!/bin/sh
########################################
###### Powered by SoftCam.Tv Team ######
###      http://www.SoftCam.Tv       ###
########################################

CAMD_ID=8101
CAMD_NAME="Btkcam 0.56b2 SoftCam.Tv"
CAMD_BIN=btkcam_mips
USERNAME=""
ZAPTIME=6
INFOFILE_A=ecm0.info
INFOFILE_B=ecm1.info
INFOFILE_C=ecm2.info
INFOFILE_D=ecm3.info
#Expert window
INFOFILE_LINES=1111111111000000
#Zapp after start
REZAPP=1
# end

sleep 2
logger $0 $1
echo $0 $1

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* 
}

case "$1" in
  start)
  echo "[SCRIPT] $1: $CAMD_NAME"
  remove_tmp
#  cp -rf /var/script/btkcam1.cfg /var/keys/btkcam.cfg
  /usr/bin/$CAMD_BIN &
  ;;
  stop)
  echo "[SCRIPT] $1: $CAMD_NAME"
  killall -9 $CAMD_BIN 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0


